%define _fontsdir %_datadir/fonts/ttf/japanese

Name: fonts-ttf-japanese
Version: 1.0
Release: alt8

Summary: Free Japanese TrueType fonts
Summary (ru_RU.UTF-8): Японские TrueType шрифты
License: Distributable
Group: System/Fonts/True type
Url: http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/

Source0: xtt-fonts_0.19990222-3.tar.bz2
Source1: kochi-mincho-0.2.20020727.tar.bz2
Source2: kochi-gothic-0.2.20020727.tar.bz2
Source3: fonts-ttf-japanese-fonts.dir.bz2
Source4: fonts-ttf-japanese-fonts.alias.bz2

PreReq: fontconfig >= 2.4.2
Obsoletes: japanese-fonts-ttf
Provides: japanese-fonts-ttf = %version

BuildArch: noarch
BuildRequires: mkfontscale

%description
This Package provides free Japanese TrueType fonts.
Original Kochi fonts include in ascii section non free glyphs,
they must be removed. Red Hat did it, packages taken from them.

%description -l ru_RU.UTF-8
В пакете находятся японские TrueType шрифты. Первоначально
шрифты Kochi включали несвободные начертания латинских символов
в ASCII части, которые были удалены фирмой RedHat.

%prep
%setup -q -c -a0 -a1 -a2

%install
mkdir -p %buildroot%_fontsdir
install -m644 xtt-fonts-0.19990222/*.ttf %buildroot%_fontsdir
install -m644 kochi-gothic/fonts/*.ttf %buildroot%_fontsdir
install -m644 kochi-mincho/fonts/*.ttf %buildroot%_fontsdir

bzcat %SOURCE4 > %buildroot%_fontsdir/fonts.alias
bzcat %SOURCE3 > %buildroot%_fontsdir/fonts.scale
ln -s fonts.scale %buildroot%_fontsdir/fonts.dir

mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
ln -s ../../..%_fontsdir %buildroot%_sysconfdir/X11/fontpath.d/ttf-japanese:pri=50

%post
%_bindir/fc-cache %_fontsdir ||:

%files
%_sysconfdir/X11/fontpath.d/*
%_fontsdir

%changelog
* Fri Aug 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt8
- rebuild with fonts policy
- used %_sysconfdir/X11/fontpath.d, adieu chkfontpath

* Mon Jul 11 2005 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt7
- link to encodings.dir removed, no longer requires freetype

* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt6
- link to encodings.dir fixed

* Sat Jun 26 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt5
- %postun script fix

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt4
- %postun script fix

* Wed Sep 03 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt3
- CID support fixed

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt2
- Changed dir
- Cleanups

* Wed May 07 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1.1
- added CID support (japanese support for ghostscript )

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
